leksah-server-0.12.1.2: Metadata collection for leksah

Safe Haskell | None

IDE.StrippedPrefs

Description

Synopsis

- data Prefs = Prefs {
  - sourceDirectories :: [FilePath]
  - unpackDirectory :: Maybe FilePath
  - retrieveURL :: String
  - retrieveStrategy :: RetrieveStrategy
  - serverPort :: Int
  - endWithLastConn :: Bool
  }
- data RetrieveStrategy
  - = RetrieveThenBuild
  - | BuildThenRetrieve
  - | NeverRetrieve
- readStrippedPrefs :: FilePath -> IO Prefs
- writeStrippedPrefs :: FilePath -> Prefs -> IO ()
- getSourceDirectories :: Prefs -> IO [FilePath]
- getUnpackDirectory :: Prefs -> IO (Maybe FilePath)

# Documentation

data Prefs Source

Preferences is a data structure to hold configuration data

Constructors

Prefs |

Fields

sourceDirectories :: [FilePath]
unpackDirectory :: Maybe FilePath
retrieveURL :: String
retrieveStrategy :: RetrieveStrategy
serverPort :: Int
endWithLastConn :: Bool

Instances

Eq Prefs |
Show Prefs |

data RetrieveStrategy Source

Constructors

RetrieveThenBuild |
BuildThenRetrieve |
NeverRetrieve |

Instances

Bounded RetrieveStrategy |
Enum RetrieveStrategy |
Eq RetrieveStrategy |
Ord RetrieveStrategy |
Read RetrieveStrategy |
Show RetrieveStrategy |

readStrippedPrefs :: FilePath -> IO Prefs Source

writeStrippedPrefs :: FilePath -> Prefs -> IO ()Source

getSourceDirectories :: Prefs -> IO [FilePath]Source

getUnpackDirectory :: Prefs -> IO (Maybe FilePath)Source